
using data.RemoteData.RemoteDataBase.DAO;

namespace data.Repository
{
    public interface IPresenceRepository
    {
        List<PresenceDao> GetPresenceByDateAndGroup(DateTime date, int groupId);
        void SavePresence(List<PresenceDao> presences);
        List<PresenceDao> GetPresenceByGroup(int groupId);
        DateOnly? GetLastDateByGroupId(int groupId);
        List<PresenceDao> GetPresenceForAbsent(DateTime date, int GroupId);
        GroupAttendanceStatistics GetGeneralPresenceForGroup(int groupId);
        void UpdateAtt(int userId, int groupId, int firstLesson, int lastLesson, DateOnly date, bool isAttendance);
        List<PresenceDao> GetAttendanceByGroup(int groupId);
    }
}

